# API Reference

## PyTorch

We currently support only PyTorch, but please [reach](mailto:contact@elbo.ai) out to us if you need other frameworks. There are two main concepts:

{% content-ref url="/pages/XDhYYJKJdB4WtMARI3jH" %}
[The abstract elbo.ElboModel](/reference/api-reference/the-abstract-elbo.elbomodel.md)
{% endcontent-ref %}

{% content-ref url="/pages/rEurjBmNl9l20HcetAZM" %}
[The elbo.ElboEpochIterator](/reference/api-reference/the-elbo.elboepochiterator.md)
{% endcontent-ref %}

{% hint style="info" %}
**Good to know:** These APIs are being built and may change as we enhance them.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.elbo.ai/reference/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
